podman pull centos-binary-ovn-sb-db-server fails in CI

Bug #1818161 reported by John Fulton on 2019-02-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
High
Kamil Sambor

Bug Description

During standalone deployment with podman in TripleO CI my deployment fails during tripleo-container-image-prepare:

tripleo_common.image.exception.ImageUploaderException: Error pulling image:
podman pull --tls-verify=false 192.168.24.1:8787/tripleomaster/centos-binary-ovn-sb-db-server:current-tripleo

The above is from:

http://logs.openstack.org/88/615988/24/check/tripleo-ci-centos-7-split-controlplane-standalone/8f2e633/logs/subnode-2/var/log/tripleo-container-image-prepare.log.txt.gz#_2019-02-27_22_06_12_654

From:

https://review.openstack.org/#/c/615988

Extra logs below:

2019-02-27 22:06:12.654 17615 INFO tripleo_common.image.image_uploader [ ] Pulling 192.168.24.1:8787/tripleomaster/centos-binary-ovn-sb-db-server:current-tripleo
2019-02-27 22:06:12.654 17615 INFO tripleo_common.image.image_uploader [ ] Running podman pull --tls-verify=false 192.168.24.1:8787/tripleomaster/centos-binary-ovn-sb-db-server:current-tripleo
Trying to pull 192.168.24.1:8787/tripleomaster/centos-binary-ovn-sb-db-server:current-tripleo...Failed
error pulling image "192.168.24.1:8787/tripleomaster/centos-binary-ovn-sb-db-server:current-tripleo": unable to pull 192.168.24.1:8787/tripleomaster/centos-binary-ovn-sb-db-server:current-tripleo: unable to pull image: Error determining manifest MIME type for docker://192.168.24.1:8787/tripleomaster/centos-binary-ovn-sb-db-server:current-tripleo: Get http://192.168.24.1:8787/v2/tripleomaster/centos-binary-ovn-sb-db-server/manifests/current-tripleo/: read tcp 192.168.24.3:58246->192.168.24.1:8787: read: connection reset by peer
2019-02-27 22:08:13.108 17615 INFO tripleo_common.image.image_uploader [ ]
Traceback (most recent call last):
  File "/usr/bin/tripleo-container-image-prepare", line 130, in <module>
    env, roles_data, cleanup=args.cleanup, dry_run=args.dry_run)
  File "/usr/lib/python2.7/site-packages/tripleo_common/image/kolla_builder.py", line 199, in container_images_prepare_multi
    uploader.upload()
  File "/usr/lib/python2.7/site-packages/tripleo_common/image/image_uploader.py", line 177, in upload
    uploader.run_tasks()
  File "/usr/lib/python2.7/site-packages/tripleo_common/image/image_uploader.py", line 1478, in run_tasks
    result = uploader.upload_image(first_task)
  File "/usr/lib/python2.7/site-packages/tripleo_common/image/image_uploader.py", line 825, in upload_image
    self._copy_registry_to_local(t.target_image_source_tag_url)
  File "/usr/lib/python2.7/site-packages/tenacity/__init__.py", line 292, in wrapped_f
    return self.call(f, *args, **kw)
  File "/usr/lib/python2.7/site-packages/tenacity/__init__.py", line 358, in call
    do = self.iter(retry_state=retry_state)
  File "/usr/lib/python2.7/site-packages/tenacity/__init__.py", line 331, in iter
    raise retry_exc.reraise()
  File "/usr/lib/python2.7/site-packages/tenacity/__init__.py", line 167, in reraise
    raise self.last_attempt.result()
  File "/usr/lib/python2.7/site-packages/concurrent/futures/_base.py", line 422, in result
    return self.__get_result()
  File "/usr/lib/python2.7/site-packages/tenacity/__init__.py", line 361, in call
    result = fn(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/tripleo_common/image/image_uploader.py", line 1163, in _copy_registry_to_local
    (' '.join(cmd), err))
tripleo_common.image.exception.ImageUploaderException: Error pulling image:
podman pull --tls-verify=false 192.168.24.1:8787/tripleomaster/centos-binary-ovn-sb-db-server:current-tripleo
None

Kamil Sambor (ksambor) on 2019-03-01
Changed in tripleo:
assignee: nobody → Kamil Sambor (ksambor)
Changed in tripleo:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/640716
Committed: https://git.openstack.org/cgit/openstack/tripleo-common/commit/?id=8762866b8d7fe4d33e026f68f66fe8e189daddb2
Submitter: Zuul
Branch: master

commit 8762866b8d7fe4d33e026f68f66fe8e189daddb2
Author: Kamil Sambor <email address hidden>
Date: Mon Mar 4 10:59:31 2019 +0100

    Return correct value for default neutron_driver

    After we switch to ovn we need to return correct value
    for neutron_driver when it is not set.
    Previous behaviour builded images for openvswitch as a default.

    Change-Id: Ie11050917ea9749140356adfeeece2df280de9f0
    Closes-Bug: #1818161

Changed in tripleo:
status: In Progress → Fix Released

This issue was fixed in the openstack/tripleo-common 10.6.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers